Update Conversation Starter
curl --request PATCH \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters/{promptId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "conversation starter title",
"link": "",
"description": "conversation starter description"
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters/{promptId}"
payload = {
"title": "conversation starter title",
"link": "",
"description": "conversation starter description"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'conversation starter title',
link: '',
description: 'conversation starter description'
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters/{promptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Updated conversation starter of the chatbot successfully",
"data": {}
}Conversation Starters
Update Conversation Starter
Update conversation-starter of the chatbot
PATCH
/
v0
/
chatbots
/
{chatbotId}
/
conversation-starters
/
{promptId}
Update Conversation Starter
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Your Chatbot ID
Your Conversation Starter ID
Body
application/json
Request body to update the conversation starter
Request body
Title of the conversation-starter. This is the text that is shown as button in the chatbot.
Link of the conversation starter. If this link is added, then when you click on the conversation starter in the chatbot, this link will be opened instead of sending a message to the chatbot.
Description of the conversation-starter. This is the message that will be sent to the chatbot when you click on the conversation-starter inside the chatbot.
Was this page helpful?
⌘I